Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.value
Class AbstractPlanningValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

Direct Known Subclasses:
  CompositePlanningValueRangeDescriptor, FromEntityPropertyPlanningValueRangeDescriptor, FromSolutionPropertyPlanningValueRangeDescriptor

    public abstract class AbstractPlanningValueRangeDescriptor

extends Object
implements PlanningValueRangeDescriptor

Field Summary
`protected PlanningVariableDescriptor` | `variableDescriptor`

Constructor Summary
`AbstractPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor)`

Method Summary
`PlanningVariableDescriptor` | `getVariableDescriptor()`
`boolean` | `isValuesCacheable()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.domain.value.PlanningValueRangeDescriptor
`extractAllValues, extractValues, getValueCount, isEntityDependent`

Field Detail

### variableDescriptor

    protected final PlanningVariableDescriptor variableDescriptor

Constructor Detail

### AbstractPlanningValueRangeDescriptor

    public AbstractPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor)

Method Detail

### getVariableDescriptor

    public PlanningVariableDescriptor getVariableDescriptor()

### isValuesCacheable

    public boolean isValuesCacheable()

  Specified by:
    `isValuesCacheable` in interface `PlanningValueRangeDescriptor`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.